package cn.com.ctop.job.controller;

import cn.com.ctop.job.live.service.IKuaishouLiveAccountReportDailyService;
import cn.com.ctop.job.live.service.IKuaishouLiveCampaignReportDailyService;
import cn.com.ctop.job.live.service.IKuaishouLiveCreativeReportDailyService;
import cn.com.ctop.job.live.service.IKuaishouLiveUnitReportDailyService;
import cn.com.ctop.job.live.utils.Result;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/live/kuaishouController")
@Api(tags = "快手直播")
@Slf4j
public class LiveController {


    @Autowired
    private IKuaishouLiveAccountReportDailyService accountReportDailyService;

    @Autowired
    private IKuaishouLiveCampaignReportDailyService campaignReportDailyService;

    @Autowired
    private IKuaishouLiveUnitReportDailyService unitReportDailyService;

    @Autowired
    private IKuaishouLiveCreativeReportDailyService creativeReportDailyService;


    /**
     * 清洗昨日直播账户数据
     */
    @GetMapping(value = "/getKuaishouAccountReport")
    public Result<Object> getKuaishouAccountReport(Long accountId) {
        String token = "5490f684f0f2bdabdf5d40d9c4f34300";
        return accountReportDailyService.getKuaishouAccountReport(accountId, token, 1);
    }

    /**
     * 清洗昨日直播计划数据
     */
    @GetMapping(value = "/getKuaishouCampaignReport")
    public Result<Object> getKuaishouCampaignReport(Long accountId) {
        String token = "5490f684f0f2bdabdf5d40d9c4f34300";
        return campaignReportDailyService.getKuaishouCampaignReport(accountId, token, 1);
    }

    /**
     * 清洗昨日直播广告组数据
     */
    @GetMapping(value = "/getKuaishouUnitReport")
    public Result<Object> getKuaishouUnitReport(Long accountId) {
        String token = "5490f684f0f2bdabdf5d40d9c4f34300";
        return unitReportDailyService.getKuaishouUnitReport(accountId, token, 1);
    }

    /**
     * 清洗昨日直播创意数据
     */
    @GetMapping(value = "/getKuaishouCreativeReport")
    public Result<Object> getKuaishouCreativeReport(Long accountId) {
        String token = "5490f684f0f2bdabdf5d40d9c4f34300";
        return creativeReportDailyService.getKuaishouCreativeReport(accountId, token, 1);
    }


}